### Function

# Gdk.cairo_region_create_from_surface

#### Declaration [src]

    cairo_region_t*
    gdk_cairo_region_create_from_surface (
      cairo_surface_t* surface
    )

#### Description [src]

Creates region that covers the area where the given `surface` is more than 50% opaque.

This function takes into account device offsets that might be set with `cairo_surface_set_device_offset()`.

#### Parameters

`surface` | `cairo_surface_t*`
| a cairo surface
| Ownership is not transferred to the callee

#### Return value

Returns: `cairo_region_t*`
A `cairo_region_t`; must be freed with `cairo_region_destroy()`
Ownership of the data is transferred to the caller